Subject: Re: Pathname context
From: Robert Collins <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 04 Aug 2002 00:27:40 +1000

On Sun, 2002-08-04 at 00:06, Doug Wyatt wrote:
> How should the mounts be setup such that 'ls d:/cygwin-v11x/usr/lib'
> and 'ls /d/cygwin-v11x/usr/lib' would BOTH show the contents of /lib?
> Or, to extend the question a bit, how can mounts be setup so that
> ALL instances of the use of 'ls' show only Cygwin context files and
> dirs rather than Windows context (where Cygwin mounts are unknown)?

I'd need to check the source to provide a solid answer. So I'll pass the
buck to someone else to answer for now, if I get time I'll research it,
but no promises.

My suggestion is to look into path canonicalisation, and what
differences there are between 'pure' windows paths (d:/...) and
'cygdrive' paths.

Rob